cURL
curl --request POST \ --url https://api.turnkey.com/public/v1/query/list_wallet_accounts \ --header 'Content-Type: application/json' \ --header 'X-Stamp: <api-key>' \ --data ' { "organizationId": "<string>", "walletId": "<string>", "paginationOptions": { "limit": "<string>", "before": "<string>", "after": "<string>" } } '
{ "accounts": [ { "walletAccountId": "<string>", "organizationId": "<string>", "walletId": "<string>", "curve": "CURVE_SECP256K1", "pathFormat": "PATH_FORMAT_BIP32", "path": "<string>", "addressFormat": "ADDRESS_FORMAT_UNCOMPRESSED", "address": "<string>", "createdAt": { "seconds": "<string>", "nanos": "<string>" }, "updatedAt": { "seconds": "<string>", "nanos": "<string>" } } ] }
List all Accounts within a Wallet
Unique identifier for a given Organization.
Unique identifier for a given Wallet.
Show child attributes
A successful response.
A list of Accounts generated from a Wallet that share a common seed.
Was this page helpful?